Scientific Linux 安全性更新:SL6.x i386/x86_64 上的 libpng

medium Nessus Plugin ID 61101
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Scientific Linux 主機缺少一個或多個安全性更新。

描述

libpng 套件含有用於建立和操控 PNG (可攜式網路圖形) 影像格式檔案的函式程式庫。

在 libpng 處理某些 PNG 影像檔的方式中,發現緩衝區溢位瑕疵。攻擊者可建立特製的 PNG 影像,開啟該影像時,可讓使用 libpng 的應用程式損毀,或者可能會以執行應用程式的使用者權限執行任意程式碼。(CVE-2011-2690)

注意:很少執行惡意利用 CVE-2011-2690 所需的應用程式行為。例如,隨附於 Scientific Linux 的應用程式皆不會如此運作。

在 libpng 處理某些 PNG 影像檔的方式中,發現超出範圍記憶體讀取瑕疵。攻擊者可建立特製的 PNG 影像,在開啟該影像時,可導致使用 libpng 的應用程式損毀。(CVE-2011-2501)

在 libpng 處理使用 Physical Scale (sCAL) 延伸模組的某些 PNG 影像的方式中,發現未初始化的記憶體讀取問題。攻擊者可建立特製的 PNG 影像,在開啟該影像時,可導致使用 libpng 的應用程式損毀。
(CVE-2011-2692)

libpng 使用者應升級至這些更新版套件,其將 libpng 升級到了 1.2.46 版,可更正這些問題。所有使用 libpng 的執行中應用程式皆必須重新啟動,此更新才會生效。

解決方案

更新受影響的套件。

另請參閱

http://www.nessus.org/u?d2a3d1a7

Plugin 詳細資訊

嚴重性: Medium

ID: 61101

檔案名稱: sl_20110728_libpng_on_SL6_x.nasl

版本: 1.6

類型: local

代理程式: unix

已發布: 2012/8/1

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

弱點資訊

CPE: x-cpe:/o:fermilab:scientific_linux

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

修補程式發佈日期: 2011/7/28

參考資訊

CVE: CVE-2011-2501, CVE-2011-2690, CVE-2011-2692